# Form implementation generated from reading ui file 'src/eric7/Project/CreateDialogCodeDialog.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_CreateDialogCodeDialog(object):
    def setupUi(self, CreateDialogCodeDialog):
        CreateDialogCodeDialog.setObjectName("CreateDialogCodeDialog")
        CreateDialogCodeDialog.resize(584, 466)
        CreateDialogCodeDialog.setSizeGripEnabled(True)
        self.verticalLayout = QtWidgets.QVBoxLayout(CreateDialogCodeDialog)
        self.verticalLayout.setObjectName("verticalLayout")
        self.gridLayout = QtWidgets.QGridLayout()
        self.gridLayout.setObjectName("gridLayout")
        self.label = QtWidgets.QLabel(parent=CreateDialogCodeDialog)
        self.label.setObjectName("label")
        self.gridLayout.addWidget(self.label, 0, 0, 1, 1)
        self.classNameCombo = QtWidgets.QComboBox(parent=CreateDialogCodeDialog)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.classNameCombo.sizePolicy().hasHeightForWidth())
        self.classNameCombo.setSizePolicy(sizePolicy)
        self.classNameCombo.setObjectName("classNameCombo")
        self.gridLayout.addWidget(self.classNameCombo, 0, 1, 1, 1)
        self.newButton = QtWidgets.QPushButton(parent=CreateDialogCodeDialog)
        self.newButton.setObjectName("newButton")
        self.gridLayout.addWidget(self.newButton, 0, 2, 1, 1)
        self.label_2 = QtWidgets.QLabel(parent=CreateDialogCodeDialog)
        self.label_2.setObjectName("label_2")
        self.gridLayout.addWidget(self.label_2, 1, 0, 1, 1)
        self.filenameEdit = QtWidgets.QLineEdit(parent=CreateDialogCodeDialog)
        self.filenameEdit.setReadOnly(True)
        self.filenameEdit.setObjectName("filenameEdit")
        self.gridLayout.addWidget(self.filenameEdit, 1, 1, 1, 2)
        self.label_3 = QtWidgets.QLabel(parent=CreateDialogCodeDialog)
        self.label_3.setObjectName("label_3")
        self.gridLayout.addWidget(self.label_3, 2, 0, 1, 1)
        self.filterEdit = QtWidgets.QLineEdit(parent=CreateDialogCodeDialog)
        self.filterEdit.setClearButtonEnabled(True)
        self.filterEdit.setObjectName("filterEdit")
        self.gridLayout.addWidget(self.filterEdit, 2, 1, 1, 2)
        self.verticalLayout.addLayout(self.gridLayout)
        self.slotsView = QtWidgets.QTreeView(parent=CreateDialogCodeDialog)
        self.slotsView.setSortingEnabled(True)
        self.slotsView.setObjectName("slotsView")
        self.verticalLayout.addWidget(self.slotsView)
        self.buttonBox = QtWidgets.QDialogButtonBox(parent=CreateDialogCodeDialog)
        self.buttonBox.setOrientation(QtCore.Qt.Orientation.Horizontal)
        self.buttonBox.setStandardButtons(QtWidgets.QDialogButtonBox.StandardButton.Cancel|QtWidgets.QDialogButtonBox.StandardButton.Ok)
        self.buttonBox.setObjectName("buttonBox")
        self.verticalLayout.addWidget(self.buttonBox)
        self.label.setBuddy(self.classNameCombo)
        self.label_2.setBuddy(self.filenameEdit)
        self.label_3.setBuddy(self.filterEdit)

        self.retranslateUi(CreateDialogCodeDialog)
        self.buttonBox.rejected.connect(CreateDialogCodeDialog.reject) # type: ignore
        QtCore.QMetaObject.connectSlotsByName(CreateDialogCodeDialog)
        CreateDialogCodeDialog.setTabOrder(self.classNameCombo, self.newButton)
        CreateDialogCodeDialog.setTabOrder(self.newButton, self.filenameEdit)
        CreateDialogCodeDialog.setTabOrder(self.filenameEdit, self.filterEdit)
        CreateDialogCodeDialog.setTabOrder(self.filterEdit, self.slotsView)
        CreateDialogCodeDialog.setTabOrder(self.slotsView, self.buttonBox)

    def retranslateUi(self, CreateDialogCodeDialog):
        _translate = QtCore.QCoreApplication.translate
        CreateDialogCodeDialog.setWindowTitle(_translate("CreateDialogCodeDialog", "Forms code generator"))
        self.label.setText(_translate("CreateDialogCodeDialog", "&Classname:"))
        self.classNameCombo.setToolTip(_translate("CreateDialogCodeDialog", "Select the class that should get the forms code"))
        self.newButton.setToolTip(_translate("CreateDialogCodeDialog", "Press to generate a new forms class"))
        self.newButton.setText(_translate("CreateDialogCodeDialog", "&New..."))
        self.label_2.setText(_translate("CreateDialogCodeDialog", "&Filename:"))
        self.filenameEdit.setToolTip(_translate("CreateDialogCodeDialog", "Displays the name of the file containing the code"))
        self.label_3.setText(_translate("CreateDialogCodeDialog", "Filter &with:"))
        self.filterEdit.setToolTip(_translate("CreateDialogCodeDialog", "Enter a regular expression to filter the list below"))
